scim::Slot0< R > Class Template Referenceabstract
SignalSlot

Base class template for slots passing no arguments and returning a value of type R. More...

`#include <scim_slot.h>`

## Public Member Functions

virtual R | call () const =0
| Calls the signal handler connected to this slot.
R | operator() () const
| Function operator; Calls call().
Public Member Functions inherited from scim::ReferencedObject
bool | is_referenced () const
void | ref ()
| Increase an object's reference count by one.
void | unref ()

## Protected Member Functions

| Slot0 ()
| Constructor.
Protected Member Functions inherited from scim::Slot
| Slot ()
| Constructor.
virtual | ~Slot ()=0
| Destructor.
Protected Member Functions inherited from scim::ReferencedObject
| ReferencedObject ()
| Constructor.
virtual | ~ReferencedObject ()=0
| Destructor.
void | set_referenced (bool reference)

## Detailed Description

template<typename R>
class scim::Slot0< R >

Base class template for slots passing no arguments and returning a value of type R.

## Constructor & Destructor Documentation

## Slot0()

template<typename R>

scim::Slot0< R >::Slot0 | ( |  | ) |

inline protected

Constructor.

## Member Function Documentation

## call()

template<typename R>

virtual R scim::Slot0< R >::call | ( |  | ) | const

pure virtual

Calls the signal handler connected to this slot.

Implemented in scim::BoundSlot0_1< R, P1 >, scim::FunctionSlot0< R >, scim::MethodSlot0< T, R >, and scim::SignalSlot0< T, R >.

Referenced by scim::Slot0< void >::operator()().

## operator()()

template<typename R>

R scim::Slot0< R >::operator() | ( |  | ) | const

inline

Function operator; Calls call().

The documentation for this class was generated from the following file:

- scim_slot.h